Skip to main content
POST
/
company_statements
/
{id}
/
cancel
/
Cancel a statement
curl --request POST \
  --url https://gate.chip-in.asia/api/v1/company_statements/{id}/cancel/ \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://gate.chip-in.asia/api/v1/company_statements/{id}/cancel/"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://gate.chip-in.asia/api/v1/company_statements/{id}/cancel/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "format": "<string>",
  "timezone": "Europe/Oslo",
  "is_test": true,
  "company_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "query_string": "<string>",
  "status": "<string>",
  "download_url": "<string>",
  "began_on": 1619740800,
  "finished_on": 1619740800,
  "created_on": 1619740800,
  "updated_on": 1619740800,
  "type": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Object ID (UUID)

Response

OK

format
string

Statement format, available formats: csv, xlsx.

Maximum string length: 32
timezone
string

Timezone to localize statement-specific timestamps

Example:

"Europe/Oslo"

is_test
boolean

Indicates this is a test object, created using test API keys or using the merchant portal while in test mode.

company_uid
string<uuid>

ID of the Company.

query_string
string

Query parameters used to generate statement.

status
string

Status of statement generation e.g. pending, processing, success.

download_url
string

Download URL of a statement.

began_on
integer<int64>

Date and time for the beginning of statement generation process.

Example:

1619740800

finished_on
integer<int64>

Date and time for finishing the statement generation process.

Example:

1619740800

created_on
integer<int64>

Object creation time

Example:

1619740800

updated_on
integer<int64>

Object last modification time

Example:

1619740800

type
string

Statement request type

id
string<uuid>

ID of a statement